Bug 247510 - There is no selinux module for ipsec-tools (racoon)
There is no selinux module for ipsec-tools (racoon)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 13:09 EDT by Marc Schiffbauer
Modified: 2012-10-16 04:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schiffbauer 2007-07-09 13:09:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20061201 Firefox/2.0.0.4 (Ubuntu-feisty)

Description of problem:
RHEL5 supplies selinux modules for several services.
But AFAICT there is no module for the ipsec-tools package.

As this is a network service in security environments I would like to see a module supplied for ipsec services in RHEL5.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-30.el5

How reproducible:
Always


Steps to Reproduce:
see "semodule -l" and "ls -lZ /usr/sbin/racoon*"

-rwxr-xr-x  root root system_u:object_r:sbin_t         /usr/sbin/racoon
-rwxr-xr-x  root root system_u:object_r:sbin_t         /usr/sbin/racoonctl


Actual Results:
racoon seems not to be secured by SELinux

Expected Results:
racoon running in its own exec domain

Additional info:
This bug might be classified as Feature Request.
Or am I wrong and racoon / ipsec in RHEL5 is already secured in RHEL5 and I do not see it?
Comment 1 RHEL Product and Program Management 2008-08-01 12:11:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Daniel Walsh 2008-09-11 15:12:28 EDT
Fixed in selinux-policy-2.4.6-156.el5
Comment 13 errata-xmlrpc 2009-01-20 16:31:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.